Search for create

  1. Search 7.x for create
  2. Search 9.5.x for create
  3. Search 8.9.x for create
  4. Search 10.3.x for create
  5. Search main for create
  6. Other projects
Title Object type File name Summary
UpdateProject::createFromArray function core/modules/update/src/UpdateProject.php Creates a UpdateProject object.
UpdateServerProjectInfo::createFromArray function core/modules/update/src/UpdateServerProjectInfo.php Creates a UpdateServerProjectInfo object.
update_create_fetch_task function core/modules/update/update.module Adds a task to the queue for fetching release history data for a project.
Url::createFromRequest function core/lib/Drupal/Core/Url.php Returns the Url object matching a request.
UrlResolverTest::createTestableUrlResolver function core/modules/media/tests/src/Unit/UrlResolverTest.php Creates a UrlResolver with exposed protected methods for testing.
UrlTest::testCreateFromRequest function core/tests/Drupal/Tests/Core/UrlTest.php Tests the createFromRequest method.
UsageTest::createTempFiles function core/modules/file/tests/src/Kernel/UsageTest.php Create files for all the possible combinations of age and status.
user.create.html.twig file core/modules/user/help_topics/user.create.html.twig ---
label: 'Creating a user account'
related:
- user.security_account_settings
- user.overview
---
{% set people_link_text %}{% trans %}People{% endtrans %}{% endset %}
{% set people_link = render_var(help_route_link(people_link_text,…
User::getCreatedTime function core/modules/user/src/Entity/User.php Returns the creation time of the user as a UNIX timestamp.
UserAccessControlHandlerTest::createdAccessProvider function core/modules/user/tests/src/Unit/UserAccessControlHandlerTest.php Provides test data for testCreatedAccess().
UserAccessControlHandlerTest::testCreatedAccess function core/modules/user/tests/src/Unit/UserAccessControlHandlerTest.php Tests the user created field access.
UserAccessTestHooks::entityCreateAccess function core/modules/user/tests/modules/user_access_test/src/Hook/UserAccessTestHooks.php Implements hook_entity_create_access().
UserAuthenticationController::create function core/modules/user/src/Controller/UserAuthenticationController.php Instantiates a new instance of the implementing class using autowiring.
UserCacheTagsTest::createEntity function core/modules/user/tests/src/Functional/UserCacheTagsTest.php Creates the entity to be tested.
UserCancelForm::create function core/modules/user/src/Form/UserCancelForm.php Instantiates a new instance of the implementing class using autowiring.
UserCancelMethodsConstraint::create function core/modules/user/src/Plugin/Validation/Constraint/UserCancelMethodsConstraint.php Creates an instance of the plugin.
UserController::create function core/modules/user/src/Controller/UserController.php Instantiates a new instance of the implementing class using autowiring.
UserCreatedFieldDisplayUpgradeTest class core/modules/user/tests/src/Functional/UserCreatedFieldDisplayUpgradeTest.php Tests that 'created' field is added to user entity view display after update.
UserCreatedFieldDisplayUpgradeTest.php file core/modules/user/tests/src/Functional/UserCreatedFieldDisplayUpgradeTest.php
UserCreatedFieldDisplayUpgradeTest::$defaultTheme property core/modules/user/tests/src/Functional/UserCreatedFieldDisplayUpgradeTest.php The theme to install as the default for testing.
UserCreatedFieldDisplayUpgradeTest::checkUserEntityViewDisplayConfig function core/modules/user/tests/src/Functional/UserCreatedFieldDisplayUpgradeTest.php Checks the user entity view display configuration for created field.
UserCreatedFieldDisplayUpgradeTest::setDatabaseDumpFiles function core/modules/user/tests/src/Functional/UserCreatedFieldDisplayUpgradeTest.php Set database dump files to be used.
UserCreatedFieldDisplayUpgradeTest::testMemberForDeprecationAndUserDisplayUpdate function core/modules/user/tests/src/Functional/UserCreatedFieldDisplayUpgradeTest.php Test user_post_update_add_created_to_display() and 'member_for' deprecation.
UserCreateFailMailTest class core/modules/user/tests/src/Functional/UserCreateFailMailTest.php Tests the create user administration page.
UserCreateFailMailTest.php file core/modules/user/tests/src/Functional/UserCreateFailMailTest.php
UserCreateFailMailTest::$defaultTheme property core/modules/user/tests/src/Functional/UserCreateFailMailTest.php The theme to install as the default for testing.
UserCreateFailMailTest::$modules property core/modules/user/tests/src/Functional/UserCreateFailMailTest.php Modules to install.
UserCreateFailMailTest::testUserAdd function core/modules/user/tests/src/Functional/UserCreateFailMailTest.php Tests the create user administration page.
UserCreateTest class core/modules/user/tests/src/Functional/UserCreateTest.php Tests the create user administration page.
UserCreateTest.php file core/modules/user/tests/src/Functional/UserCreateTest.php
UserCreateTest::$defaultTheme property core/modules/user/tests/src/Functional/UserCreateTest.php The theme to install as the default for testing.
UserCreateTest::$modules property core/modules/user/tests/src/Functional/UserCreateTest.php Modules to install.
UserCreateTest::testUserAdd function core/modules/user/tests/src/Functional/UserCreateTest.php Tests user creation and display from the administration interface.
UserCreateTest::testUserAddPasswordWithNotify function core/modules/user/tests/src/Functional/UserCreateTest.php Tests that the password is discarded when notify is enabled.
UserCreationTrait::createAdminRole function core/modules/user/tests/src/Traits/UserCreationTrait.php Creates an administrative role.
UserCreationTrait::createRole function core/modules/user/tests/src/Traits/UserCreationTrait.php Creates a role with specified permissions.
UserCreationTrait::createUser function core/modules/user/tests/src/Traits/UserCreationTrait.php Create a user with a given set of permissions.
UserData::create function core/modules/user/src/Plugin/migrate/destination/UserData.php Instantiates a new instance of the implementing class using autowiring.
UserFieldValueTest::createUserEntity function core/modules/user/tests/src/Kernel/UserFieldValueTest.php Creates and saves a user entity for field-value tests.
UserInterface::getCreatedTime function core/modules/user/src/UserInterface.php Returns the creation time of the user as a UNIX timestamp.
UserListBuilder::createInstance function core/modules/user/src/UserListBuilder.php Instantiates a new instance of this entity handler.
UserLocalTask::create function core/modules/user/src/Plugin/Derivative/UserLocalTask.php Creates a new class instance.
UserLoginForm::create function core/modules/user/src/Form/UserLoginForm.php Instantiates a new instance of the implementing class using autowiring.
UserMailRequiredValidatorTest::createValidator function core/modules/user/tests/src/Unit/Plugin/Validation/Constraint/UserMailRequiredValidatorTest.php Creates a validator instance.
UserMultipleCancelConfirm::create function core/modules/user/src/Form/UserMultipleCancelConfirm.php Instantiates a new instance of the implementing class using autowiring.
UserPasswordForm::create function core/modules/user/src/Form/UserPasswordForm.php Instantiates a new instance of the implementing class using autowiring.
UserPermissionsForm::create function core/modules/user/src/Form/UserPermissionsForm.php Instantiates a new instance of the implementing class using autowiring.
UserPictureTest::testCreateDeletePicture function core/modules/user/tests/src/Functional/UserPictureTest.php Tests creation, display, and deletion of user pictures.
UserRegistrationResource::create function core/modules/user/src/Plugin/rest/resource/UserRegistrationResource.php Instantiates a new instance of the implementing class using autowiring.
UserRegistrationRestTest::createRequestBody function core/modules/user/tests/src/Functional/UserRegistrationRestTest.php Create the request body.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.